## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%bcond_without tests

%global pypi_name annexremote

%global _description %{expand:
Helper module to easily develop special remotes for git annex. AnnexRemote
handles all the protocol stuff for you, so you can focus on the remote itself.
It implements the complete external special remote protocol and fulfils all
specifications regarding whitespaces etc. This is ensured by an excessive test
suite. Extensions to the protocol are normally added within hours after they
have been published.}


Name:           python-%{pypi_name}
Version:        1.5.0
Release:        %autorelease
Summary:        Git annex special remotes made easy

# https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
License:        GPLv3
URL:            https://pypi.org/pypi/%{pypi_name}
Source0:        %pypi_source

# Update the assertion error strings
# Sent upstream: https://github.com/Lykos153/AnnexRemote/pull/29
# Required for Py3.10 (F35+)
Patch0:         0001-fix-update-assertion-error-text.patch

BuildArch:      noarch

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  git-core

%description -n python3-%{pypi_name} %_description

%package doc
Summary:        Documentation for %{name}

%description doc
This package provides documentation for %{name}.

%prep
%if 0%{?fedora} >= 35
%autosetup -n %{pypi_name}-%{version} -S git
%else
%autosetup -n %{pypi_name}-%{version} -N
%endif

# Replace nose with pytest
sed -i "s/'nose'/'pytest'/" setup.py
sed -i 's/    def Test/    def test_/' tests/test_*.py

# Remove shebang
sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' examples/git-annex-remote-directory
chmod -x examples/git-annex-remote-directory

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# Basic import check test
%py3_check_import %{pypi_name}

%if %{with tests}
%{pytest}
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%files doc
%license LICENSE
%doc docs/%{pypi_name} examples

%changelog
* Tue Sep 07 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 1.5.0-2
- feat: only apply patch for F35+

* Tue Sep 07 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 1.5.0-1
- feat: init
